Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 454396

Summary: CANNOT create a contact or a contact list in Evolution
Product: Red Hat Enterprise Linux 4 Reporter: Yolkfull Chow <yzhou>
Component: evolutionAssignee: Matthew Barnes <mbarnes>
Status: CLOSED WONTFIX QA Contact: desktop-bugs <desktop-bugs>
Severity: low Docs Contact:
Priority: low    
Version: 4.7CC: desktop-bugs
Target Milestone: rc   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-07-08 13:20:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Yolkfull Chow 2008-07-08 08:26:13 UTC
Description of problem:
After configuring an email account in Evolution,NEW a contact or a contact list
will get nothing response and following error messages will be displayed in
terminal:
-----------------------------------------------------------------
(evolution:26193): GLib-CRITICAL **: file gerror.c: line 225
(g_propagate_error): assertion `src != NULL' failed

(evolution:26193): libebook-CRITICAL **: file e-book.c: line 2399
(e_book_async_open): assertion `book && E_IS_BOOK (book)' failed
-----------------------------------------------------------------

Version-Release number of selected component (if applicable):
evolution-2.0.2-40.el4

How reproducible:
Everytime

Steps to Reproduce:
1.launch evolution & configure an email account
2.click File->New->Contact(or Contact List)
3.problem appear
  
Actual results:

Expected results:

Additional info:
This problem will not happen on evolution-2.22.1-2.fc9.i386

Comment 1 Matthew Barnes 2008-07-08 13:20:19 UTC
Evolution 2.0.2 is no longer being maintained beyond security updates.  You
might try the evolution28 package in RHEL 4.

Comment 2 Yolkfull Chow 2008-07-09 06:34:17 UTC
Just verified that Evolution28 does not happen this problem. 
Regards,